S/MIME capabilities in Pine

Patch Author: Jonathan Paisley
Contact Info: paisleyj@dcs.gla.ac.uk
WWW: http://www.dcs.gla.ac.uk/~paisleyj/

This patch adds S/MIME functionality to Pine.  It was
last tested thoroughly with Pine 4.33, and it has been updated
to work with the latest version (4.52).

Check out the unix 'patch' command.  An example of using
patch would be:

$ cd ../..  # Change to top level directory (containing contrib, pine, etc)
$ patch -p1 < contrib/smime/pine-smime-151101.diff

*** After patching, read pine/README.smime for more details. ***

The patch will create the following files:

pine/README.smime
pine/TODO.smime
pine/bss_so.c
pine/bss_so.h
pine/smime.c
pine/smime.h
pine/smkeys.c
pine/smkeys.h

It will modify the following files:

imap/src/c-client/mail.c
imap/src/c-client/mail.h
pine/filter.c
pine/init.c
pine/mailcmd.c
pine/mailpart.c
pine/mailview.c
pine/makefile.lnx
pine/makefile.so5
pine/pine.h
pine/pine.hlp
pine/send.c

Note that this patch has only been tested on Solaris and Linux (thus only
those makefiles have been patched). The changes that have been made to
the makefiles are as follows:

    Add these SSL variables (these were roughly lifted from imap/src/osdep/unix/Makefile)

    SSLDIR=      $(HOME)/local/ssl
    SSLCERTS=    $(SSLDIR)/certs
    SSLINCLUDE=  $(SSLDIR)/include
    SSLLIB=      $(SSLDIR)/lib

    SSLCFLAGS=   -I$(SSLINCLUDE) \
	       -DSSL_CERT_DIRECTORY=\"$(SSLCERTS)\" \
	       -DSMIME
    SSLLDFLAGS=  -L$(SSLLIB) -lcrypto

    Add $(SSLLDFLAGS) to the LIBS variable.
    Add $(SSLCFLAGS) to the CFLAGS variable.
    Add bss_so.o smime.o smkeys.o to the OFILES= variable.

Similar changes would have to be made to the makefile for other ports.
